/**
 * Модальное окно показа справки по тесту
 *
 * @extends Container_Element_Abstract
 */
function Test_Help_Window()
{
    Test_Help_Window.superclass.constructor.call(this);
    
    this._setBaseElement(Rup.create('div'));
    
    this._baseElement.id = 'windv_help';
    
    this._baseElement.className = 'window';
    
    document.body.appendChild(this._baseElement);
    
    this._baseElement.innerHTML = '';
    this._baseElement.style.display = 'block';
    
    var oClose = Rup.create('input');
    oClose.type = "button";
    oClose.value = "Закрыть";
    oClose.className = 'closebtn';
    oClose.onclick = function()
    {
        Rup.app.task.closeWindow();
    }
    
    var oContainerDiv = Rup.create('div');
    
    this._baseElement.appendChild(oClose);
    this._baseElement.appendChild(oContainerDiv);
    
    this._setContainerElement(oContainerDiv);
    
    /**
     * Ссылка на панель
     *
     * @var Pannel
     */
    this.pannel = new Help_Panel();
    this.appendChild(this.pannel);
}

Rup.extend(Test_Help_Window, Container_Element_Abstract);

Test_Help_Window.prototype.close = function()
{
    document.body.removeChild(this._baseElement);
}

Test_Help_Window.prototype.getLink = function( params )
{
	params.allowModes = LINK_NONE;
	params.defaultMode = LINK_WINDOW;
    return new Link( params );
}